## ia32-libs-sdl 1.0ubuntu1

=== debian/changelog ===
ia32-libs-sdl (1.0ubuntu1) dapper; urgency=low

  * initial version.
  * Rename to lib32-libs-games (this package is based on Jamie Jones
    ia32-libs-universe package, but was modified to just include sdl libs)
  * apply patch from http://bugs.debian.org/355766
  * added libasound2 to this package. At least quake4 depends on it
  * polish debian/copyright

 -- Reinhard Tartler <siretart@tauware.de>  Thu,  9 Mar 2006 01:16:50 +0100
