=== debian/control ===
Source: ia32-libs-sdl
Section: universe/libs
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23), lsb-release
Standards-Version: 3.6.2.0

Package: ia32-libs-sdl
Architecture: amd64 ia64
Depends: lsb-release, lib32gcc1, lib32z1, ia32-libs, lib32asound2
Suggests: ia32-libs-gtk, ia32-libs-kde
Description: ia32 shared libraries of sdl related packages for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Ubuntu system running
 a 64-bit kernel. These are packages related to sdl. Commercial games like
 Quake4 are known to work with this package installed
