## ia32-libs-sdl 1.0ubuntu3

=== debian/changelog ===
ia32-libs-sdl (1.0ubuntu3) feisty; urgency=low

  * rebuild for feisty
  * added libdirectfb-0.9-25
  * tested that the resulting package actually works with quake4 [tm]

 -- Reinhard Tartler <siretart@ubuntu.com>  Tue,  3 Apr 2007 13:39:49 +0200

ia32-libs-sdl (1.0ubuntu2) dapper; urgency=low

  * and now fix the changelog. This package just depends on lib32asound2, but
    doesn't include it.

 -- Reinhard Tartler <siretart@ubuntu.com>  Thu,  9 Mar 2006 09:49:16 +0100
