=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ia32-libs-sdl
 Section: universe/libs
 Priority: optional
-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Reinhard Tartler <siretart@ubuntu.com>
 Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23), lsb-release
 Standards-Version: 3.6.2.0
