=== debian/rules ===
#!/usr/bin/make -f

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
OSVER=$(shell lsb_release -s -i)
ifeq (Debian,$(OSVER))
	ROOT=emul/ia32-linux
	SUFFIX=
else
	ROOT=
	SUFFIX=32
endif

build:

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	Uncomment the following lines, and the debs will be downloaded at build time
#	chmod +x ./debian/fetch-and-build
#	./debian/fetch-and-build

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs-sdl/ ; done

	mkdir -p debian/ia32-libs-sdl/$(ROOT)
	mkdir -p debian/ia32-libs-sdl/$(ROOT)/usr
	mkdir -p debian/ia32-libs-sdl/$(ROOT)/usr/X11R6
	mkdir -p debian/ia32-libs-sdl/$(ROOT)/usr/lib
	mkdir -p debian/ia32-libs-sdl/$(ROOT)/lib

	mv debian/ia32-libs-sdl/lib debian/ia32-libs-sdl/$(ROOT)/lib$(SUFFIX)
	mv debian/ia32-libs-sdl/usr/lib debian/ia32-libs-sdl/$(ROOT)/usr/lib$(SUFFIX)
#	mv debian/ia32-libs-sdl/usr/X11R6/lib debian/ia32-libs-sdl/$(ROOT)/usr/X11R6/lib$(SUFFIX)

ifeq (Debian,$(OSVER))
	mkdir -p  debian/ia32-libs-sdl/$(ROOT)/bin
	mv debian/ia32-libs-sdl/bin/uname debian/ia32-libs-sdl/$(ROOT)/bin
	ln -s /$(ROOT)/usr/lib$(SUFFIX) debian/ia32-libs-sdl/usr/lib32
endif

	rm -r debian/ia32-libs-sdl/usr/include
	rm -r debian/ia32-libs-sdl/usr/X11R6
	rm -r debian/ia32-libs-sdl/usr/share
#	rm -r debian/ia32-libs-sdl/usr/sbin
	rm -r debian/ia32-libs-sdl/usr/bin
#	rm -r debian/ia32-libs-sdl/sys
#	rm -r debian/ia32-libs-sdl/bin
#	rm -r debian/ia32-libs-sdl/sbin
#	rm -r debian/ia32-libs-sdl/etc
#	rm -r debian/ia32-libs-sdl/var
#	rm debian/ia32-libs-sdl/$(ROOT)/usr/lib$(SUFFIX)/pt_chown

	# Fix symlinks.
	for link in $$(find debian/ia32-libs-sdl/$(ROOT) -type l); do		\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed -e 's,^/,$(ROOT)/,' -e 's,/lib/,/lib$(SUFFIX)/,') $$link;	\
	done

#	echo -e "# packages used in the creation of ia32-libs-sdl\n" > \
#		debian/ia32-libs-sdl/usr/share/doc/ia32-libs-sdl/Manifest
#	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-sdl/usr/share/doc/ia32-libs-sdl/Manifest

#	# Separate out development files.
#	mkdir -p debian/ia32-libs-sdl-dev/usr/share/doc
#	ln -s ia32-libs-sdl debian/ia32-libs-sdl-dev/usr/share/doc/ia32-libs-sdl-dev

#	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
#	mkdir -p debian/ia32-libs-sdl-dev/$(ROOT)/usr/lib$(SUFFIX)
#	mv debian/ia32-libs-sdl/$(ROOT)/usr/lib$(SUFFIX)/*.so debian/ia32-libs-sdl-dev/$(ROOT)/usr/lib$(SUFFIX)
#	mv debian/ia32-libs-sdl/$(ROOT)/usr/lib$(SUFFIX)/*.a debian/ia32-libs-sdl-dev/$(ROOT)/usr/lib$(SUFFIX)
#	mv debian/ia32-libs-sdl/$(ROOT)/usr/lib$(SUFFIX)/*.o debian/ia32-libs-sdl-dev/$(ROOT)/usr/lib$(SUFFIX)

binary-indep:

binary-arch: build install
	dh_testdir -s
	dh_testroot -s 
	dh_installdocs -s
	dh_installexamples -s
	dh_installchangelogs -s
	dh_compress -s
	dh_fixperms --exclude "*/ld-*" -s
	dh_installdeb -s
	dh_gencontrol -pia32-libs-sdl
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
